# typed: true
class CreateHttpLogEntryTriggers < ActiveRecord::Migration[7.0]
  def change
    change_table :http_log_entries do |t|
      t.references :caused_by
    end

    add_foreign_key :http_log_entries,
                    :http_log_entries,
                    column: :caused_by_id,
                    validate: true
  end
end
